SEMCORFREQ(1)

NAME
semCorFreq.pl - Compute Information Content from SemCor sense-tagged corpus

SYNOPSIS
 semCorFreq.pl [{ --outfile FILE [--wnpath PATH] [--smooth SCHEME]
        | --help | --version }]

DESCRIPTION
This program is used to generate the default information content file (ic-semcor.dat) that is used by WordNet::Similarity in the Jiang Conrath, Resnik and Lin measures.

It uses the cntlist file as provided by WordNet as the source of frequency counts. These are derived from sense tagged corpora which include a portion of the Brown Corpus and the Red Badge of Courage. This collection of of sense tagged text is referred to as SemCor, and is not distributed by WordNet any longer. Also, note that the cntlist file is no longer officially supported by WordNet, so the information provided therein may not be reliable.

The SemCor data we use comes from Rada Mihalcea, who has mapped SemCor from its original version to each successive version of WordNet. In this program we ignore the SenseTags and simply treat SemCor as raw text. This is to allow for the comparison of the effect of counting from sense tags (as done in semCorFreq.pl) versus raw or plain word forms (as done here).

OPTIONS
--outfile=filename

    The name of a file to which output should be written

--wnpath=path

    Location of the WordNet data files (e.g.,
    /usr/local/WordNet-3.0/dict)

--smooth=SCHEME

    Smoothing should used on the probabilities computed.  SCHEME can
    only be ADD1 at this time

--help

    Show a help message

--version

    Display version information

BUGS
Report to WordNet::Similarity mailing list :
 http://groups.yahoo.com/group/wn-similarity <http://groups.yahoo.com/group/wn-similarity>

SEE ALSO
WordNet::Similarity

SemCor Download (from Rada Mihalcea):
 <http://www.cs.unt.edu/~rada/downloads.html#semcor>

WordNet home page :
 <http://wordnet.princeton.edu>

WordNet::Similarity home page :
 http://wn-similarity.sourceforge.net <http://wn-similarity.sourceforge.net>

AUTHORS
 Ted Pedersen, University of Minnesota, Duluth
 tpederse at d.umn.edu

 Siddharth Patwardhan, University of Utah, Salt Lake City
 sidd at cs.utah.edu

COPYRIGHT
Copyright (c) 2005-2008, Ted Pedersen and Siddharth Patwardhan

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.